<div>
    <form id="add_custom_status_form" method="POST" action="">
        <h3><?php _e('General Options', 'woocommerce_status_actions'); ?></h3>
        <p><?php _e('The following options affect how statuses are displayed on the front and back end.', 'woocommerce_status_actions'); ?></p>

        <?php if(isset($_REQUEST['status_id']) && !empty($_REQUEST['status_id'])) : ?>
            <input type="hidden" name="action" value="save_edit">
            <input type="hidden" name="status_id" value="<?php echo strip_tags($_REQUEST['status_id']); ?>">
        <?php endif;?>

        <table class="form-table">
            <tbody>
            <tr valign="top">
                <th scope="row"><label for="status_name"><?php _e( 'Name', 'woocommerce_status_actions' ); ?> <span class="description"><?php _e( '(required)', 'woocommerce_status_actions' ); ?></span> </label></th>
                <td>
                    <input type="text" name="status_name" id="status_name" value="<?php echo $sa->status_name; ?>">
                    <p class="description"><?php _e( 'Enter the name of the status which you would like to add. This should be in a readable format.', 'woocommerce_status_actions' ); ?></p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="status_label"><?php _e( 'Label', 'woocommerce_status_actions' ); ?> <span class="description"><?php _e( '(required)', 'woocommerce_status_actions' ); ?></span> </label></th>
                <td>
                    <input type="text" name="status_label" id="status_label" value="<?php echo $sa->status_label; ?>">
                    <p class="description"><?php _e( 'Enter the label of the status which you would like to add. This should be lower case as will be displayed on the status label.', 'woocommerce_status_actions' ); ?></p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
	                <label for="display_in_reports"><?php _e( 'Reports', 'woocommerce_status_actions' ); ?></label>
	            </th>
                <td>
	                <fieldset>
                    <label>
                        <input type="checkbox" name="display_in_reports" id="display_in_reports" value="yes" <?php echo $check_display_in_reports; ?>>
                        <?php _e( 'Display in reports', 'woocommerce_status_actions' ); ?>
                    </label>
                    <p class="description"><?php _e( 'Orders with this status will be considered as a placed order in the reports.', 'woocommerce_status_actions' ); ?></p>
	                </fieldset>
                </td>
            </tr>
			<tr valign="top">
                <th scope="row"><label for="dashboard_widget"><?php _e( 'Dashboard Widget', 'woocommerce_status_actions' ); ?></label></th>
                <td>
	                <fieldset>
		            <label>
                    <input type="checkbox" name="dashboard_widget" id="dashboard_widget" value="yes" <?php echo $dashboard_widget; ?>>
                    	<?php _e( 'Enable dashboard widget', 'woocommerce_status_actions' ); ?>
					</label>
					<p class="description"><?php _e( 'Displays a count of orders with this status in the Dashboard widget.', 'woocommerce_status_actions' ); ?></p>
	                </fieldset>
                </td>
            </tr>
            </tbody>
        </table>
        <h3><?php _e('Style Options', 'woocommerce_status_actions'); ?></h3>
        <p><?php _e('The following options affect how statuses will look from style to colour.', 'woocommerce_status_actions'); ?></p>
        <table class="form-table">
	        <tbody>
            <tr valign="top">
            <th scope="row"><label for="status_icon"><?php _e( 'Icon', 'woocommerce_status_actions' ); ?> <span class="description"><?php _e( '(required)', 'woocommerce_status_actions' ); ?></span> </label></th>
            <td>
            <?php
                // Style!
                $style = '';
                if( empty( $sa->status_color_type ) || $sa->status_color_type == '0' ) {
                    $style = 'style="color:'. $sa->status_color .';font-size:1.4em;"';
                } else {
                    $style = 'style="background-color:'.$sa->status_color.';color:#fff;font-size:10px;border-radius:100%;padding:5px!important;margin-left:5px;';
                }
                ?>
                <div class="btn-group">
                    <input type="hidden" name="status_icon" value="<?php echo $sa->status_icon; ?>" id="status_icon_picker_val" />
                    <button type="button" class="iconpicker-component button" id="status_icon_picker_view">                        
                        <span class="woocommerce_status_font_icon woocommerce_status_actions_<?php echo $sa->status_icon; ?>"></span>
                    </button>
                    <button type="button" class="icp icp-dd button dropdown-toggle" id="status_icon_picker" data-toggle="dropdown" data-selected="<?php echo $sa->status_icon; ?>">
                        <span class="caret"></span>
                        <span class="sr-only">Toggle Dropdown</span>
                    </button>
                    <div class="dropdown-menu"></div>
                </div>
                <?php
                $status_list = wc_get_order_statuses();
                ?>
                <p class="description"><?php _e( 'Select an icon you would like to display as the Status icon.', 'woocommerce_status_actions' ); ?></p>
            </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="status_color"><?php _e( 'Colour', 'woocommerce_status_actions' ); ?></label></th>
                <td>
                  <input type="text" name="status_color" id="status_color" value="<?php echo $sa->status_color?>" data-default-color="#666" >
                  <p class="description"><?php _e( 'Select the main colour of your custom status.', 'woocommerce_status_actions' ); ?></p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row">
                  <label for="status_color_type"><?php _e( 'Style', 'woocommerce_status_actions' ); ?></label>
                </th>
                <td>
	                <fieldset>
		                <ul>
                <?php echo $status_color_type_html; ?>
		                </ul>
		                <p class="description"><?php _e( 'Select a style for your custom status.', 'woocommerce_status_actions' ); ?></p>
	                </fieldset>
                </td>
            </tr>
            </tbody>
        </table>
        <h3><?php _e('Email Options', 'woocommerce_status_actions'); ?></h3>
        <p><?php _e('The following options affect how emails are sent after the status is set to the order.', 'woocommerce_status_actions'); ?> <?php _e( 'You can customise the look and layout of the emails by clicking', 'woocommerce_status_actions' ); ?> <a href="<?php echo  admin_url('admin.php?page=wc-settings&tab=email'); ?>">here</a>.</p>
        <table class="form-table">
	        <tbody>
            <tr valign="top">
                <th scope="row"><label for="sends_email"><?php _e( 'Email Notification', 'woocommerce_status_actions' ); ?> </label></th>
                <td>
	                <fieldset>
					<label>
					<input type="checkbox" name="sends_email" id="sends_email" value="yes" <?php echo $sends_email; ?>>
						<?php _e( 'Enable email notification' ); ?>
					</label>
	                </fieldset>
                </td>
            </tr>
            <tr valign="top" class="email_dependent_fields" style="display: none;">
                <th scope="row"><label for="email_to"><?php _e( 'Recipient(s)', 'woocommerce_status_actions' ); ?> <span class="description"><?php _e( '(required)', 'woocommerce_status_actions' ); ?></span> </label>
                </th>
                <td>
                    <select name="email_to" id="email_to" class="chosen_select enhanced">
                        <?php echo $email_to_html; ?>
                    </select>
                    <p class="description"><?php _e( 'Choose to whom you want the email to be sent to when the custom status is applied. Current admin email address', 'woocommerce_status_actions' ); ?> <code><?php echo get_option( 'admin_email' );  ?></code></p>
                </td>
            </tr>
            <tr valign="top" class="custom_email_dependent_fields" style="display: none;">
                <th scope="row"><label for="custom_email_address"><?php _e( 'Recipient Email Address', 'woocommerce_status_actions' ); ?> <span class="description"><?php _e( '(required)', 'woocommerce_status_actions' ); ?></span> </label></th>
                <td>
                    <input type="text" name="custom_email_address" id="custom_email_address" value="<?php echo htmlentities(stripslashes($sa->custom_email_address))?>">
                    <p class="description"><?php _e( 'Enter the email address which you want to be notified when status is trigger.', 'woocommerce_status_actions' ); ?></p>
                </td>
            </tr>
            <tr valign="top" class="email_dependent_fields" style="display: none;">
                <th scope="row"><label for="from_name"><?php _e( '"From" Name', 'woocommerce_status_actions' ); ?> <span class="description"><?php _e( '(required)', 'woocommerce_status_actions' ); ?></span> </label></th>
                <td>
                  <input type="text" name="from_name" id="from_name" value="<?php echo stripslashes($sa->from_name)?>" placeholder="<?php echo get_option( 'blogname' ); ?>">
                  <p class="description"><?php _e( 'Enter the email name which will appear when the email is sent.', 'woocommerce_status_actions' ); ?></p>
                </td>
            </tr>
            <tr valign="top" class="email_dependent_fields" style="display: none;">
                <th scope="row"><label for="from_address"><?php _e( '"From" Email Address', 'woocommerce_status_actions' ); ?> <span class="description"><?php _e( '(required)', 'woocommerce_status_actions' ); ?></span> </label></th>
                <td>
                  <input type="text" name="from_address" id="from_address" value="<?php echo stripslashes($sa->from_address)?>" placeholder="<?php echo get_option( 'admin_email' ); ?>">
                  <p class="description"><?php _e( 'Enter the email address which will appear when the email is sent.', 'woocommerce_status_actions' ); ?></p>
                </td>
            </tr>
            <tr valign="top" class="email_dependent_fields" style="display: none;">
                <th scope="row"><label for="email_subject"><?php _e( 'Email Subject', 'woocommerce_status_actions' ); ?> <span class="description"><?php _e( '(required)', 'woocommerce_status_actions' ); ?></span> </label></th>
                <td>
                  <input type="text" name="email_subject" id="email_subject" value="<?php echo stripslashes($sa->email_subject)?>">
                  <p class="description"><?php _e( 'Enter the email subject which will appear when the email is sent.', 'woocommerce_status_actions' ); ?></p>
                </td>
            </tr>
            <tr valign="top" class="email_dependent_fields" style="display: none;">
                <th scope="row"><label for="custom_title"><?php _e( 'Email Heading', 'woocommerce_status_actions' ); ?> <span class="description"><?php _e( '(required)', 'woocommerce_status_actions' ); ?></span> </label></th>
                <td>
                  <input type="text" name="custom_title" id="custom_title" value="<?php echo stripslashes($sa->custom_title)?>">
                  <p class="description"><?php _e( 'Enter the heading which you want to appear on the email that is sent.', 'woocommerce_status_actions' ); ?></p>
                </td>
            </tr>
            <tr valign="top" class="email_dependent_fields" style="display: none;">
                <th scope="row"><label for="display_essential_info"><?php _e( 'Order Information', 'woocommerce_status_actions' ); ?></label></th>
                <td>
	                <fieldset>
					<label>
					<input type="checkbox" name="display_essential_info" id="display_essential_info" value="yes" <?php echo $display_essential_info; ?> >
						<?php _e( 'Include order information', 'woocommerce_status_actions' ); ?>
					</label>
					<p class="description"><?php _e( 'Consists of billing and shipping address, contact details, order items, subtotal and total.', 'woocommerce_status_actions' ); ?></p>
	                </fieldset>
                </td>
            </tr>
            <tr valign="top" class="email_dependent_fields" style="display: none;">
                <th scope="row"><label for="display_custom_info"><?php _e( 'Custom Message', 'woocommerce_status_actions' ); ?></label></th>
                <td>
	                <fieldset>
					<label>
					<input type="checkbox" name="display_custom_info" id="display_custom_info" value="yes" <?php echo $display_custom_info; ?>>
						<?php _e( 'Include custom message', 'woocommerce_status_actions' ); ?>
					</label>
					<p class="description"><?php _e( 'Text to appear in the body of the email. This can include shortcodes from thrid party plugins. Click on the trolley icon to load available shortcodes..', 'woocommerce_status_actions' ); ?></p>
	                </fieldset>
                </td>
            </tr>
            <!-- 
            <tr valign="top" class="email_dependent_fields" style="display: none;" id="tr_additional_shortcodes">
                <th scope="row">
                    <label for="additional_shortcodes"><?php _e( 'Additional Shortcodes', 'woocommerce_status_actions' ); ?></label>
                </th>
                <td>
                    <select id="additional_shortcodes">
                    <option value="" disabled selected><?php _e( 'Choose shortcode...', 'woocommerce_status_actions' ); ?></option>';
                    <?php
                    $custom_fields = get_option('wc_fields_additional');
                    if ($custom_fields) {
                        foreach($custom_fields as $name => $value) {
                            echo "<option value='{" . $name . "}'>" . $name . "</option>";
                        }
                    }
                    ?>
                    </select>
                </td>
            </tr> -->
            <tr valign="top" class="email_dependent_fields" style="display: none;" id="custom_info_wrapper">
                <th scope="row">
                  <label for="custom_info"><?php _e( 'Message', 'woocommerce_status_actions' ); ?> <span class="description"><?php _e( '(required)', 'woocommerce_status_actions' ); ?></span></label>
                  </th>
                <td>
                    <?php 
                    $settings = array(
                        'media_buttons' => false,
                        /*'tinymce' => array(
                            'theme_advanced_buttons1' => 'bold, italic, ul, pH, temp',
                          ),*/
                        );
                    $content = stripslashes($sa->custom_info);
                    wp_editor( $content, 'custom_info', $settings );
                    ?>
                    <p style="float:left;" class="description"><?php _e( 'Enter the message which will be sent in the email. You can use short codes.', 'woocommerce_status_actions' ); ?>
                </td>
            </tr>
            </tbody>
        </table>
        <h3><?php _e('Customer Options', 'woocommerce_status_actions'); ?></h3>
        <p><?php _e('The following options affects what the customer can do when this status is set.', 'woocommerce_status_actions'); ?></p>
        <table class="form-table">
	        <tbody>
            <tr valign="top">
                <th scope="row"><label for="can_cancel"><?php _e( 'Cancel Orders', 'woocommerce_status_actions' ); ?></label></th>
                <td>
	                <fieldset>
                    <label>
                        <input type="checkbox" name="can_cancel" id="can_cancel" value="yes" <?php echo $check_can_cancel ?>>
                        <?php _e( 'Allow customer to cancel orders', 'woocommerce_status_actions' ); ?>
                    </label>
                    <p class="description"><?php _e( 'Choose whether the customer can cancel orders when this status is applied.', 'woocommerce_status_actions' ); ?></p>
	                </fieldset>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="customer_status_trigger"><?php _e( 'My Account', 'woocommerce_status_actions' ); ?></label></th>
                <td>
	                <fieldset>
                    <label>
                        <input type="checkbox" name="customer_status_trigger" id="customer_status_trigger" value="yes" <?php echo  $trigger_status; ?>>
                        <?php _e( 'Allow customer to set status', 'woocommerce_status_actions' ); ?>
                    </label>
                    <p class="description"><?php _e( 'Check this box to allow customer to set this status from the My Account page.', 'woocommerce_status_actions' ); ?></p>
	                </fieldset>
                </td>
            </tr>
            <tr valign="top" class="show_if_customer_status_trigger">
                <th scope="row"><label for="customer_status_trigger"><?php _e( 'Visibility Rule', 'woocommerce_status_actions' ); ?></label></th>
                <td>
                    <select name="customer_status_trigger_list[]" id="customer_status_trigger_list" multiple="true">
                    <?php foreach ($status_list as $key => $value) {
                        if($key == 'wc-'.$sa->status_slug) continue;
                        ?>
                        <option value="<?php echo $key; ?>"  <?php selected(true, (!empty($statuses_trigger) && in_array($key, $statuses_trigger)), true); ?> ><?php echo $value; ?></option>
                        <?php
                    }?>
                </select>
                <p class="description"><?php _e( 'Select what the status of the order has to be before the button is shown.', 'woocommerce_status_actions' ); ?></p>
                </td>
            </tr>
            <tr valign="top" class="show_if_customer_status_trigger">
                <th scope="row"><label for="customer_status_trigger_button_label"><?php _e( 'Button Label', 'woocommerce_status_actions' ); ?></label></th>
                <td>
                    <input type="text" name="customer_status_trigger_button_label" id="customer_status_trigger_button_label" value="<?php echo $trigger_button_label; ?>">
                    <p class="description"><?php _e( 'Enter the text that appears on the button.', 'woocommerce_status_actions' ); ?></p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="product_reviews"><?php _e( 'Product Reviews', 'woocommerce_status_actions' ); ?></label></th>
                <td>
	                <fieldset>
                  <label>
                    <input type="checkbox" name="product_reviews" id="product_reviews" value="yes" <?php echo $product_reviews; ?>>
                    <?php _e( 'Allow customer to leave reviews', 'woocommerce_status_actions' ); ?>
                  </label>
                  <p class="description"><?php _e( 'Check this box to allow users to leave a review for the products purchased in the order when this status set.', 'woocommerce_status_actions' ); ?></p>
	                </fieldset>
                </td>
            </tr>
            </tbody>
        </table>
        <h3><?php _e('Product Options', 'woocommerce_status_actions'); ?></h3>
        <p><?php _e('The following options affect the products purchased in the order when the status is set.', 'woocommerce_status_actions'); ?></p>
        <table class="form-table">
	        <tbody>
            <tr valign="top">
                <th scope="row"><label for="download_permitted"><?php _e( 'Downloads Permitted', 'woocommerce_status_actions' ); ?></label></th>
                <td>
	                <fieldset>
                    <label>
                        <input type="checkbox" name="download_permitted" id="download_permitted" value="yes" <?php echo $download_permitted; ?> >
                        <?php _e( 'Enable downloads', 'woocommerce_status_actions' ); ?>
                    </label>
                    <p class="description"><?php _e( 'Permit downloads of virtual products in the order when this status is set.', 'woocommerce_status_actions' ); ?></p>
	                </fieldset>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="stock_status"><?php _e( 'Stock Status', 'woocommerce_status_actions' ); ?></label></th>
                <td>
                    <select name="stock_status" id="stock_status" class="chosen_select enhanced">
                        <option <?php selected('no_affection', $stock_status, true); ?> value="no_affection"><?php _e( 'No affection to stock status', 'woocommerce_status_actions' ); ?></option>
                        <option <?php selected('reduce', $stock_status, true); ?> value="reduce"><?php _e( 'Reduce stock levels', 'woocommerce_status_actions' ); ?></option>
                        <option <?php selected('restore', $stock_status, true); ?> value="restore"><?php _e( 'Restore stock levels', 'woocommerce_status_actions' ); ?></option>
                    </select><p class="description"><?php _e( 'Select what happens to the stock levels of the products when the status is applied to the order.', 'woocommerce_status_actions' ); ?></p>
                    </td>
            </tr>
            
            <tr valign="top">
                <th scope="row"><label for="order_is_editable"><?php _e( 'Item Editing', 'woocommerce_status_actions' ); ?></label></th>
                <td>
	                <fieldset>
                  <label>
                    <input type="checkbox" name="order_is_editable" id="order_is_editable" value="yes" <?php echo $order_is_editable; ?>>
                    <?php _e( 'Enable item editing', 'woocommerce_status_actions' ); ?>
                  </label>
                  <p class="description"><?php _e( 'Allows items to be edited in the order. If unchecked, the order would be considered paid and no edits can be made.', 'woocommerce_status_actions' ); ?></p>
	                </fieldset>
                </td>
            </tr>
        </tbody>
    </table>
    <h3><?php _e( 'Action Options', 'woocommerce_status_actions' ); ?></h3>
    <p><?php _e( 'The following fields affects how and when actions for this status are displayed on the main orders screen.', 'woocommerce_status_actions' ); ?></p>
    <table class="form-table">
        <tbody>
            <tr valign="top">
                <th scope="row"><label><?php _e( 'Default Actions', 'woocommerce_status_actions' ); ?></label></th>
                <td>
                    <label>
                        <input type="checkbox" name="display_completed" id="display_completed" class="display_for" value="yes" <?php echo $check_display_completed ?> >
                        <?php echo $status_list['wc-completed']; ?>
                    </label>
                    <p class="description"><?php _e( 'Check this to show the mark as completed button when this status is set', 'woocommerce_status_actions' ); ?></p>
                    <label>
                        <input type="checkbox" name="display_processing" id="display_processing"  class="display_for" value="yes" <?php echo $check_display_processing; ?> >
                        <?php echo $status_list['wc-processing']; ?>
                    </label>
                    <p class="description"><?php _e( 'Check this to show the mark as processing button when this status is set<', 'woocommerce_status_actions' ); ?>/p>
                </td>
            </tr>
            <tr valign="top">
            <th scope="row"><label for="action_icon"><?php _e( 'Action Icon', 'woocommerce_status_actions' ); ?> <span class="description"><?php _e( '(required)', 'woocommerce_status_actions' ); ?></span> </label></th>
            <td>
                <div class="btn-group">
                    <input type="hidden" name="action_icon" value="<?php echo $sa->action_icon; ?>" id="action_icon_picker_val" />
                    <button type="button" class="iconpicker-component button" id="action_icon_picker_view">                        
                        <span class="woocommerce_status_action_font_icon woocommerce_status_actions_<?php echo $sa->action_icon; ?>"></span>
                    </button>
                    <button type="button" class="icp icp-dd button dropdown-toggle" id="action_icon_picker" data-toggle="dropdown" data-selected="<?php echo $sa->action_icon; ?>">
                        <span class="caret"></span>
                        <span class="sr-only">Toggle Dropdown</span>
                    </button>
                    <div class="dropdown-menu action_icon_menu"></div>
                </div>
                <p class="description"><?php _e( 'Select an icon you would like to display as the Action button.', 'woocommerce_status_actions' ); ?></p>
            </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="action_visibility"><?php _e( 'Action Visibility', 'woocommerce_status_actions' ); ?></label></th>
                <td>
                    <select class='display_for chosen_select' name='display_for[]' id='action_visibility' multiple="multiple">
                    <?php
                    foreach($status_list as $status_slug => $name){
                        
                        $status_slug = preg_replace('/wc-/', '', $status_slug, 1);
                        $selected    = '';
                        if( $status_slug == $sa->status_slug ) continue;

                        if( in_array($status_slug, $sa->display_for) ) {
                            $selected = 'selected="selected"';
                        }
                        echo '<option value="'.$status_slug.'" '.$selected.'>'.$name.'</option>';
                    }                   
                    ?>
                    </select>
                    <p class="description">
                        <?php _e( 'Select which statuses need to be applied to the order before the action button is shown. Leave blank to not display the action button.', 'woocommerce_status_actions' ); ?>
                    </p>
                </td>
            </tr>
            <tr valign="top">
                <th scope="row"><label for="hide_bulk_action"><?php _e( 'Bulk Actions', 'woocommerce_status_actions' ); ?></label></th>
                <td>
	                <fieldset>
                  <label>
                    <input type="checkbox" name="hide_bulk_action" id="hide_bulk_action" value="yes" <?php echo $hide_bulk_action; ?>>
                    <?php _e( 'Hide bulk action', 'woocommerce_status_actions' ); ?>
                  </label>
                  <p class="description"><?php _e( 'Hide the action for this status from the Bulk Actions menu.', 'woocommerce_status_actions' ); ?></p>
	                </fieldset>
                </td>
            </tr>
                <tr valign="top">
                    <th scope="row"><label for="automatic_trigger"><?php _e( 'Automatic Trigger', 'woocommerce_status_actions' ); ?></label></th>
                    <td>
	                    <fieldset>
                        <label>
                        <input type="checkbox" name="automatic_trigger" id="automatic_trigger" value="yes" <?php checked($sa->automatic_trigger, '1', true); ?>>
                        <?php _e( 'Enable automatic trigger', 'woocommerce_status_actions' ); ?>
                        </label>
                        <p class="description">
                            <?php _e( 'Triggers another status after a period of time when this status is set. ', 'woocommerce_status_actions' ); ?>
                        </p>
	                    </fieldset>
                    </td>
                </tr>
                <tr valign="top" class="show_if_automatic_trigger">
                    <th scope="row"><label for="triggered_status"><?php _e( 'Triggered Status', 'woocommerce_status_actions' ); ?></label></th>
                    <td>
                        <select name='triggered_status' id='triggered_status' class='chosen_select enhanced'>
                        <?php
                        foreach($status_list as $status_slug => $name){
                            
                            $status_slug = preg_replace('/wc-/', '', $status_slug, 1);
                            $selected    = '';
                            if( $status_slug == $sa->status_slug ) continue;
                            if( $status_slug == $sa->triggered_status ) {
                                $selected = 'selected="selected"';
                            }
                            echo '<option value="'.$status_slug.'" '.$selected.'>'.$name.'</option>';
                        }                   
                        ?>
                        </select>
                        <p class="description">
                            <?php _e( 'Select which status should be triggered after the period of time.', 'woocommerce_status_actions' ); ?>
                        </p>
                    </td>
                </tr>
                <tr valign="top" class="show_if_automatic_trigger">
                    <th scope="row"><label for="time_period"><?php _e( 'Time Period', 'woocommerce_status_actions' ); ?></label></th>
                    <td class="time_period">
                        <label>
                        <input style="width: 80px;" type="number" name="time_period" id="time_period" value="<?php echo $sa->time_period; ?>" step="1" min="1" >
                        <select name='time_period_type' class='chosen_select enhanced' >
                        <?php
                        $pediods = array(
                            'minutes' => __('Minutes', 'woocommerce_status_actions'),
                            'hours'   => __('Hours', 'woocommerce_status_actions'),
                            'days'    => __('Days', 'woocommerce_status_actions'),
                            'weeks'   => __('Weeks', 'woocommerce_status_actions'),
                            'months'  => __('Months', 'woocommerce_status_actions'),
                            'years'   => __('Years', 'woocommerce_status_actions'),
                            );
                        foreach($pediods as $pediod => $name){

                            $selected    = '';

                            if( $pediod == $sa->time_period_type  ) {
                                $selected = 'selected="selected"';
                            }
                            echo '<option value="'.$pediod.'" '.$selected.'>'.$name.'</option>';
                        }                   
                        ?>
                        </select>
                        <p class="description">
                            <?php _e( 'Select the time period after which the triggered status is set.', 'woocommerce_status_actions' ); ?>
                        </p>
                        </label>
                    </td>
                </tr>
            </tbody>
        </table>
        <p class="submit submitbox">
        <?php if(isset($_REQUEST['status_id']) && !empty($_REQUEST['status_id'])) : ?>
            <input type="submit" name="submit" id="submit" class="button button-primary" value="Update Status">
        <?php else:?>
            <input type="submit" name="submit" id="submit" class="button button-primary" value="Save Status">
        <?php endif;?>
            
        </p>
    </form>
</div>