<?php
/**
 * General global functions.
 *
 * @author   Actuality Extensions
 * @package  WooCommerce Custom Order Status & Actions
 * @since    1.6.4
 */

function wcos_get_meta( $status_id, $key = '', $single = false)
{
	return get_metadata('wc_os', $status_id, $key, $single);
}
function wcos_update_meta( $status_id, $meta_key, $meta_value, $prev_value = '' ) {
	return update_metadata('wc_os', $status_id, $meta_key, $meta_value, $prev_value);
}
function wcos_add_meta( $status_id, $meta_key, $meta_value) {
	return add_metadata('wc_os', $status_id, $meta_key, $meta_value);
}

function get_editable_statuses()
{
  global $wpdb;
  $statuses = array('auto-draft');
  $data   = get_option( 'wc_custom_status_edit_existing_status' );
  if(empty($data)){
    $statuses = array( 'pending', 'on-hold', 'auto-draft' );
  }
  else if( is_array($data)){
    foreach ($data as $key => $value) {
      if( isset($value['item_editing']) && $value['item_editing'] == 'yes' ){
        $label = 'wc-' === substr( $key, 0, 3 ) ? substr( $key, 3 ) : $key;
        $statuses[] = $label;
      }
    }
  }
  $result = $wpdb->get_results("SELECT st.status_slug FROM {$wpdb->prefix}woocommerce_order_status_action as st 
    INNER JOIN {$wpdb->wc_osmeta} meta ON(meta.wc_os_id = st.id AND meta.meta_key = 'order_is_editable') WHERE meta.meta_value = 'yes' "); //
  if($result){
    foreach ($result as $st) {
      $statuses[] = $st->status_slug;
    }
  }
  return $statuses;  
}

function wc_sa_get_acf_editor_btns()
{
  $btn   = '';
  $args  = array(
    'post_type' => 'acf',
    'posts_per_page' => -1,
    );
  $query = new WP_Query($args);
  if( $query->have_posts() ){
    while ( $query->have_posts() ) : $query->the_post();
    $id   = get_the_ID();
    $rule = get_post_meta($id, 'rule', true);
    if($rule && $rule['param'] == 'post_type' ){
      $is_shop = false;
      switch ($rule['operator']) {
        case '==':
          if( ($rule['value'] == 'shop_order' || $rule['value'] == 'all') ){
            $is_shop = true;
          }
          break;
        case '!=':
          if( $rule['value'] != 'shop_order'){
            $is_shop = true;
          }
          break;
      }
      if($is_shop){
        if($btn == '')
          $btn = array();

        $post_meta = get_post_meta($id);

        foreach ($post_meta as $key => $value) {
          if( strrpos($key, 'field_') === 0){
            $meta = maybe_unserialize($value[0]);
            $btn[$meta['name']] = array('label'=>$meta['label']);

          }
        }
      }
      
    }
    endwhile;
  }

  return $btn;
}